package activedirectory_protocol_crawler_go

import (
	"encoding/json"
	"loafle.com/overflow/commons_go/matcher/activedirectory"
	"loafle.com/overflow/crawler_go"
	"loafle.com/overflow/crawler_go/config"
)

type ActiveDirectoryHealthCrawler struct {
	crawler.SocketHeahthCrawler
}

func (r *ActiveDirectoryHealthCrawler) Internal(params config.Config) ([]byte, error) {

	b, err := r.CheckHeahth(params)
	if err != nil {
		// set error
	}
	return json.Marshal(b)
}

func NewActiveDirectoryHealthCrawler() *ActiveDirectoryHealthCrawler {
	ad := &ActiveDirectoryHealthCrawler{}
	ad.SetInternal(ad)
	ad.SetMatcher(activedirectory.NewActiveDirectoryMatcher())
	return ad
}
