package redis_protocol_crawler_go

import (
	"encoding/json"
	"github.com/stretchr/testify/assert"
	"loafle.com/overflow/crawler_go"
	"testing"
	"loafle.com/overflow/crawler_go/config"
)

func setConfig() crawler.Crawler {

	r := NewRedisHeahthCrawler()
	
	m := config.Config{}
	m.Target = config.Target{}
	m.Target.Connection = config.Connection{}
	m.Target.Connection.Ip = "192.168.1.104"
	m.Target.Connection.Port = "6379"
	m.Target.Connection.PortType = "tcp"
	m.Target.Connection.SSL = false

	r.PutConfig("redis", m)

	return r
}

func TestMatch(t *testing.T) {
	// test config
	r := setConfig()
	
	b, _ := r.Get("redis")

	var check bool
	json.Unmarshal(b, &check)

	assert.Equal(t, true, check)
}
//
//func start() {
//	r := setConfig()
//
//	of_rpc.AddDelegate("redis", r)
//	err := of_rpc.StartJSONRPC()
//	if err != nil {
//		log.Fatal(err)
//	}
//}
//
//func TestRPC(t *testing.T) {
//	go start()
//	time.Sleep(2 * time.Second)
//
//	in := param.Input{
//		Name: "redis",
//		Id:   "redis",
//	}
//
//	result, err := client.InvokeJSONRPCGet("50000", in)
//
//	if err != nil {
//		t.Fatal(err)
//	}
//
//	var check bool
//	json.Unmarshal(result.Data, &check)
//	assert.Equal(t, true, check)
//}
