package cassandra_protocol_crawler_go

import (
	"encoding/json"
	"loafle.com/overflow/commons_go/matcher/cassandra"
	"loafle.com/overflow/crawler_go"
	"loafle.com/overflow/crawler_go/config"
)

type CassandraHealthCrawler struct {
	crawler.SocketHeahthCrawler
}

func (r *CassandraHealthCrawler)Internal(params config.Config) ([]byte, error) {
	
	b, err := r.CheckHeahth(params)
	if err != nil {
		// set error
	}
	return json.Marshal(b)
}

func NewCassandraHealthCrawler() *CassandraHealthCrawler {
	r := &CassandraHealthCrawler{}
	r.SetInternal(r)
	r.SetMatcher(cassandra.NewCassandraMatcher())
	return r
}
